Delete task
Delete a specific task associated with the contract. Optionally, a reason can be provided for auditing or documentation purposes.
Token scopes: contracts:write
Authentication
AuthorizationBearer
## Authentication
The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.
```curl
curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
-H 'Authorization: Bearer YOUR-TOKEN-HERE'
```
[Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/
Path parameters
contract_id
The unique identifier of the Deel contract.
task_id
The unique identifier of the task to be deleted.
Query parameters
reason
The reason for deleting the task. This can be used for auditing purposes.
Response
The task was successfully deleted.
data